Documentation

Personal Contact Number Lookup Endpoint

Cost1 credit / contact number returned

Find personal phone numbers associated with a given social media profile.

GET
/api/v2/contact-api/personal-contact

Authorization

BearerAuth client
AuthorizationBearer <token>

In: header

Scope: client

Query Parameters

profile_url?string

The Profile URL from which you wish to extract personal contact numbers

One ofprofile_url | twitter_profile_url | facebook_profile_url
twitter_profile_url?string

The Twitter/X Profile URL from which you wish to extract personal contact numbers

One ofprofile_url | twitter_profile_url | facebook_profile_url
facebook_profile_url?string

The Facebook Profile URL from which you wish to extract personal contact numbers

One ofprofile_url | twitter_profile_url | facebook_profile_url
page_size?string

This controls the maximum number of numbers returned per API call. It's useful for limiting credit consumption as the number of numbers per identity can vary. The default value is 0, meaning there's no limit to the number of returned results.

Response Body

application/json

curl -X GET "https://enrichlayer.com/api/v2/contact-api/personal-contact?profile_url=https%3A%2F%2Fwww.linkedin.com%2Fin%2Fwilliamhgates&twitter_profile_url=https%3A%2F%2Fx.com%2Fenrichlayer&facebook_profile_url=https%3A%2F%2Fwww.facebook.com%2Fzuck&page_size=0"
{
  "numbers": [
    "+19707495020"
  ]
}
Empty
Empty
Empty
Empty
Empty
Empty
Empty